REST API v1
29 operations, generated from the OpenAPI document. The guide is REST API v1.
A base's webhooks (never their secrets)
GET /api/v1/bases/{baseId}/webhooks
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
Responses
200Successwebhooksarray of object requiredidstring (uuid) requiredbaseIdstring (uuid) requiredurlstring requireddescriptionstring requiredeventsarray of "record.created" | "record.updated" | "record.deleted" | "record.restored" | "field.created" | "field.updated" | "field.deleted" | "field.restored" | … requiredtableIdsarray of string (uuid) | null requiredfieldIdsarray of string (uuid) | null requiredenabledboolean requireddisabledReason"failures" | "creator_access" | null requiredconsecutiveFailuresinteger requiredlastDeliveryAtstring (date-time) | null requiredlastSuccessboolean | null requiredpreviousSecretExpiresAtstring (date-time) | null requiredcreatedBystring (uuid) | null requiredcreatedAtstring (date-time) requiredupdatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
Create a webhook; the answer holds its signing secret, shown only this once
POST /api/v1/bases/{baseId}/webhooks
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
Request body
urlstring requireddescriptionstringeventsarray of "record.created" | "record.updated" | "record.deleted" | "record.restored" | "field.created" | "field.updated" | "field.deleted" | "field.restored" | … requiredtableIdsarray of string (uuid) | nullfieldIdsarray of string (uuid) | nullenabledboolean
Responses
201Successidstring (uuid) requiredbaseIdstring (uuid) requiredurlstring requireddescriptionstring requiredeventsarray of "record.created" | "record.updated" | "record.deleted" | "record.restored" | "field.created" | "field.updated" | "field.deleted" | "field.restored" | … requiredtableIdsarray of string (uuid) | null requiredfieldIdsarray of string (uuid) | null requiredenabledboolean requireddisabledReason"failures" | "creator_access" | null requiredconsecutiveFailuresinteger requiredlastDeliveryAtstring (date-time) | null requiredlastSuccessboolean | null requiredpreviousSecretExpiresAtstring (date-time) | null requiredcreatedBystring (uuid) | null requiredcreatedAtstring (date-time) requiredupdatedAtstring (date-time) requiredsecretstring
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Change, enable or disable a webhook, or rotate its secret (returned once)
PATCH /api/v1/bases/{baseId}/webhooks/{webhookId}
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
webhookId | path | string (uuid) | yes |
Request body
urlstringdescriptionstringeventsarray of "record.created" | "record.updated" | "record.deleted" | "record.restored" | "field.created" | "field.updated" | "field.deleted" | "field.restored" | …tableIdsarray of string (uuid) | nullfieldIdsarray of string (uuid) | nullenabledbooleanrotateSecrettrueexpirePreviousSecrettrue
Responses
200Successidstring (uuid) requiredbaseIdstring (uuid) requiredurlstring requireddescriptionstring requiredeventsarray of "record.created" | "record.updated" | "record.deleted" | "record.restored" | "field.created" | "field.updated" | "field.deleted" | "field.restored" | … requiredtableIdsarray of string (uuid) | null requiredfieldIdsarray of string (uuid) | null requiredenabledboolean requireddisabledReason"failures" | "creator_access" | null requiredconsecutiveFailuresinteger requiredlastDeliveryAtstring (date-time) | null requiredlastSuccessboolean | null requiredpreviousSecretExpiresAtstring (date-time) | null requiredcreatedBystring (uuid) | null requiredcreatedAtstring (date-time) requiredupdatedAtstring (date-time) requiredsecretstring
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Delete a webhook and its delivery log
DELETE /api/v1/bases/{baseId}/webhooks/{webhookId}
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
webhookId | path | string (uuid) | yes |
Responses
204Success, no content401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
A webhook's delivery attempts of the last 7 days, newest first
GET /api/v1/bases/{baseId}/webhooks/{webhookId}/deliveries
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
webhookId | path | string (uuid) | yes |
limit | query | integer | no |
Responses
200Successdeliveriesarray of object requiredidstring (uuid) requiredeventIdstring requiredeventTypestring requiredattemptinteger requiredsuccessboolean requiredresponseStatusinteger | null requireddurationMsinteger requiredresponseBodystring | null requirederrorstring | null requiredcreatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Queue a logged delivery's event again, with the same event id
POST /api/v1/bases/{baseId}/webhooks/{webhookId}/deliveries/{deliveryId}/redeliver
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
webhookId | path | string (uuid) | yes |
deliveryId | path | string (uuid) | yes |
Responses
200Successqueuedtrue requiredeventIdstring required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
Send a signed test event now and answer with the attempt
POST /api/v1/bases/{baseId}/webhooks/{webhookId}/ping
Access: base:manage_webhooks on the base (see ACTIONS for the minimum role); personal access tokens need webhook:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
webhookId | path | string (uuid) | yes |
Responses
200Successidstring (uuid) requiredeventIdstring requiredeventTypestring requiredattemptinteger requiredsuccessboolean requiredresponseStatusinteger | null requireddurationMsinteger requiredresponseBodystring | null requirederrorstring | null requiredcreatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
A base's automations (never their webhook URLs)
GET /api/v1/bases/{baseId}/automations
Access: base:read_automations on the base (see ACTIONS for the minimum role); personal access tokens need automations:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
Responses
200Successautomationsarray of object requiredidstring (uuid) requiredbaseIdstring (uuid) requirednamestring requireddescriptionstring requiredenabledboolean requireddisabledReason"creator_access" | null requiredtriggerobject requiredactionsarray of object requiredcreatedBystring (uuid) | null requiredlastRunAtstring (date-time) | null requiredlastRunStatus"succeeded" | "failed" | "skipped" | null requirednextRunAtstring (date-time) | null requiredcreatedAtstring (date-time) requiredupdatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
One automation: its trigger, actions and last run
GET /api/v1/bases/{baseId}/automations/{automationId}
Access: base:read_automations on the base (see ACTIONS for the minimum role); personal access tokens need automations:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
automationId | path | string (uuid) | yes |
Responses
200Successidstring (uuid) requiredbaseIdstring (uuid) requirednamestring requireddescriptionstring requiredenabledboolean requireddisabledReason"creator_access" | null requiredtriggerobject requiredactionsarray of object requiredcreatedBystring (uuid) | null requiredlastRunAtstring (date-time) | null requiredlastRunStatus"succeeded" | "failed" | "skipped" | null requirednextRunAtstring (date-time) | null requiredcreatedAtstring (date-time) requiredupdatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
Turn an automation on or off; turning it on makes it run as you
PATCH /api/v1/bases/{baseId}/automations/{automationId}
Access: base:toggle_automations on the base (see ACTIONS for the minimum role); personal access tokens need automations:manage.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
automationId | path | string (uuid) | yes |
Request body
enabledboolean required
Responses
200Successidstring (uuid) requiredbaseIdstring (uuid) requirednamestring requireddescriptionstring requiredenabledboolean requireddisabledReason"creator_access" | null requiredtriggerobject requiredactionsarray of object requiredcreatedBystring (uuid) | null requiredlastRunAtstring (date-time) | null requiredlastRunStatus"succeeded" | "failed" | "skipped" | null requirednextRunAtstring (date-time) | null requiredcreatedAtstring (date-time) requiredupdatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
An automation's runs of the last 30 days, newest first
GET /api/v1/bases/{baseId}/automations/{automationId}/runs
Access: base:read_automations on the base (see ACTIONS for the minimum role); personal access tokens need automations:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
automationId | path | string (uuid) | yes |
limit | query | integer | no |
status | query | "succeeded" | "failed" | "skipped" | no |
Responses
200Successrunsarray of object requiredidstring (uuid) requiredautomationIdstring (uuid) requiredstatus"succeeded" | "failed" | "skipped" requiredmode"live" | "test" | "retry" requiredskipReason"loop" | "quota" | null requiredretryOfstring (uuid) | null requiredtriggerany requiredstepsarray of object requiredindexinteger requiredtype"createRecord" | "updateRecord" | "findRecords" | "sendEmail" | "httpRequest" | "slackMessage" | "runScript" requiredstatus"succeeded" | "failed" | "skipped" requiredinputany requiredoutputany requirederrorstring | null requireddurationMsinteger required
errorstring | null requireddepthinteger requiredtriggeredBystring (uuid) | null requireddurationMsinteger requiredcreatedAtstring (date-time) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Trigger a webhook-received (body) or button-clicked (recordId) automation
POST /api/v1/bases/{baseId}/automations/{automationId}/trigger
Access: base:run_automations on the base (see ACTIONS for the minimum role); personal access tokens need automations:run.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
automationId | path | string (uuid) | yes |
Request body
recordIdstring (uuid)bodyany
Responses
200Successqueuedtrue requiredtriggerIdstring (uuid) required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Bases the caller (and token) can read, with their permission level
GET /api/v1/meta/bases
Access: any signed-in user, for their own data; personal access tokens need schema.bases:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
offset | query | string | no |
Responses
200Successbasesarray of object requiredidstring requirednamestring requiredpermissionLevel"read" | "comment" | "edit" | "create" | "owner" required
401Not signed in422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
A base's tables with their fields (types and options) and views
GET /api/v1/meta/bases/{baseId}/tables
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need schema.bases:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
Responses
200Successtablesarray of object requiredidstring requirednamestring requireddescriptionstringprimaryFieldIdstring requiredfieldsarray of object requiredidstring requirednamestring requiredtypestring requiredopenrowsTypestring requireddescriptionstringoptionsany
viewsarray of object requiredidstring requirednamestring requiredtypestring required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
Create a table with its fields (the first is the primary field)
POST /api/v1/meta/bases/{baseId}/tables
Access: table:create on the base (see ACTIONS for the minimum role); personal access tokens need schema.bases:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
Request body
namestring requireddescriptionstringfieldsarray of object requirednamestring requiredtypestring requireddescriptionstringoptionsobject
Responses
200Successidstring requirednamestring requireddescriptionstringprimaryFieldIdstring requiredfieldsarray of object requiredidstring requirednamestring requiredtypestring requiredopenrowsTypestring requireddescriptionstringoptionsany
viewsarray of object requiredidstring requirednamestring requiredtypestring required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Create a field
POST /api/v1/meta/bases/{baseId}/tables/{tableIdOrName}/fields
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need schema.bases:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
Request body
namestring requiredtypestring requireddescriptionstringoptionsobject
Responses
200Successidstring requirednamestring requiredtypestring requiredopenrowsTypestring requireddescriptionstringoptionsany
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Rename a field or change its description
PATCH /api/v1/meta/bases/{baseId}/tables/{tableIdOrName}/fields/{fieldId}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need schema.bases:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
fieldId | path | string (uuid) | yes |
Request body
namestringdescriptionstring | null
Responses
200Successidstring requirednamestring requiredtypestring requiredopenrowsTypestring requireddescriptionstringoptionsany
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
List records: pageSize, offset, maxRecords, view, sort, fields, filterByFormula
GET /api/v1/{baseId}/{tableIdOrName}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
pageSize | query | array of string | no |
offset | query | array of string | no |
maxRecords | query | array of string | no |
view | query | array of string | no |
fields[] | query | array of string | no |
sort[0][field] | query | array of string | no |
sort[0][direction] | query | array of string | no |
filterByFormula | query | array of string | no |
cellFormat | query | array of string | no |
timeZone | query | array of string | no |
userLocale | query | array of string | no |
returnFieldsByFieldId | query | array of string | no |
recordMetadata[] | query | array of string | no |
Responses
200Successrecordsarray of object requiredidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
offsetstring
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Create one record (fields) or up to 10 (records)
POST /api/v1/{baseId}/{tableIdOrName}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
Request body
object
Responses
200Successobject401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Replace up to 10 records: fields left out are cleared
PUT /api/v1/{baseId}/{tableIdOrName}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
Request body
recordsarray of object requiredidstring (uuid)fieldsobject required
performUpsertobjectfieldsToMergeOnarray of string required
typecastbooleanreturnFieldsByFieldIdboolean
Responses
200Successrecordsarray of object requiredidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
createdRecordsarray of stringupdatedRecordsarray of string
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Update up to 10 records (or upsert with performUpsert)
PATCH /api/v1/{baseId}/{tableIdOrName}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
Request body
recordsarray of object requiredidstring (uuid)fieldsobject required
performUpsertobjectfieldsToMergeOnarray of string required
typecastbooleanreturnFieldsByFieldIdboolean
Responses
200Successrecordsarray of object requiredidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
createdRecordsarray of stringupdatedRecordsarray of string
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Delete up to 10 records (records[]), to the trash
DELETE /api/v1/{baseId}/{tableIdOrName}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
records[] | query | array of string (uuid) | no |
records | query | array of string (uuid) | no |
Responses
200Successrecordsarray of object requiredidstring requireddeletedtrue required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
List records with the parameters in the body (for long formulas)
POST /api/v1/{baseId}/{tableIdOrName}/listRecords
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
Request body
pageSizeintegeroffsetstringmaxRecordsintegerviewstringfieldsarray of stringsortarray of objectfieldstring requireddirection"asc" | "desc"
filterByFormulastringcellFormat"json" | "string"timeZonestringuserLocalestringreturnFieldsByFieldIdboolean | "0" | "1" | "true" | "false"recordMetadataarray of "commentCount"
Responses
200Successrecordsarray of object requiredidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
offsetstring
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
One record
GET /api/v1/{baseId}/{tableIdOrName}/{recordId}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
recordId | path | string (uuid) | yes |
cellFormat | query | "json" | "string" | no |
returnFieldsByFieldId | query | boolean | "0" | "1" | "true" | "false" | no |
timeZone | query | string | no |
userLocale | query | string | no |
Responses
200Successidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Replace a record: fields left out are cleared
PUT /api/v1/{baseId}/{tableIdOrName}/{recordId}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
recordId | path | string (uuid) | yes |
Request body
fieldsobject requiredtypecastbooleanreturnFieldsByFieldIdboolean
Responses
200Successidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Update a record: only the fields given change
PATCH /api/v1/{baseId}/{tableIdOrName}/{recordId}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
recordId | path | string (uuid) | yes |
Request body
fieldsobject requiredtypecastbooleanreturnFieldsByFieldIdboolean
Responses
200Successidstring requiredcreatedTimestring requiredfieldsobject requiredcommentCountinteger
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Delete a record (to the trash)
DELETE /api/v1/{baseId}/{tableIdOrName}/{recordId}
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.records:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
recordId | path | string (uuid) | yes |
Responses
200Successidstring requireddeletedtrue required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it429Too many requests: a rate limit was reached (see Retry-After)
A record's comments, newest first
GET /api/v1/{baseId}/{tableIdOrName}/{recordId}/comments
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.recordComments:read.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
recordId | path | string (uuid) | yes |
pageSize | query | integer | no |
offset | query | string | no |
Responses
200Successcommentsarray of object requiredidstring requiredauthorobject requiredidstring requiredemailstringnamestring
textstring requiredcreatedTimestring requiredlastUpdatedTimestring | null required
offsetstring | null required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)
Comment on a record
POST /api/v1/{baseId}/{tableIdOrName}/{recordId}/comments
Access: base:read on the base (see ACTIONS for the minimum role); personal access tokens need data.recordComments:write.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
baseId | path | string (uuid) | yes |
tableIdOrName | path | string | yes |
recordId | path | string (uuid) | yes |
Request body
textstring required
Responses
200Successidstring requiredauthorobject requiredidstring requiredemailstringnamestring
textstring requiredcreatedTimestring requiredlastUpdatedTimestring | null required
401Not signed in403Signed in, but the role is too low404No such resource, or no access to it422The request failed validation429Too many requests: a rate limit was reached (see Retry-After)